/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Hito4;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;

/**
 *
 * @author Ro
 */
@Entity
public class Cliente implements Serializable{
    
    private static final long serialVersionUID = 1L;
    @Id
    private String documentacion;

    private String nombreCliente;
    

    
    @ManyToMany(cascade = CascadeType.ALL)
    //@Transient
    private List<Producto> mProducto;

    public String getId() {
        return documentacion;
    }

    public void setId(String documentacion) {
        this.documentacion = documentacion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (documentacion != null ? documentacion.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Cliente)) {
            return false;
        }
        Cliente other = (Cliente) object;
        if ((this.documentacion == null && other.documentacion != null) || (this.documentacion != null && !this.documentacion.equals(other.documentacion))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Hito4.Cliente[id=" + documentacion + "]";
    }

    public Cliente(){
        mProducto=new ArrayList();

    }


    public String getNombreCliente () {
        return nombreCliente;
    }

    
    public void setNombreCliente (String val) {
        this.nombreCliente = val;
    }

    /**
     * @return the documentacion
     */
    public String getDocumentacion() {
        return documentacion;
    }

    public void setDocumentacion(String documentacion) {
        this.documentacion = documentacion;
    }

    public List<Producto> getMProducto() {
        return mProducto;
    }

    public void setMProducto(List<Producto> mProducto) {
        this.mProducto = mProducto;
    }

    public void insertaProductoenCliente(Producto p){
        this.mProducto.add(p);
    }

}
